#ifndef STATEMANAGER_H_
#define STATEMANAGER_H_
#include "State.h"

namespace PamOffLineSW
{

class StateManager
{
public:	
	virtual ~StateManager();
	void changeState(State* state);//set currentstate
	static StateManager& getInstance();
	void init();
	State* getCurrentState();
private:
	StateManager();
	State* currentState;
	static StateManager instance;
	
};

}

#endif /*STATEMANAGER_H_*/
